<?php

namespace Koneko\SatCatalogs\Models;

use Illuminate\Database\Eloquent\Model;

class Banco extends Model
{
    // the list of status values that can be stored in table
    const STATUS_ENABLED  = 10;
    const STATUS_DISABLED = 1;
    const STATUS_REMOVED  = 0;

    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'sat_banco';

    /**
     * The attributes that are mass assignable.
     *
     * @var string[]
     */
    protected $fillable = [
        'c_banco',
        'descripcion',
        'razon_social',
        'rfc',
        'status',
    ];
}
