<?php

namespace Koneko\SatCatalogs\Models;

class ContratoLaboral
    {
    // Definición de constantes para Tipo de Contrato
    const CONTRATO_TIEMPO_INDETERMINADO = '01';
    const CONTRATO_OBRA_DETERMINADA = '02';
    const CONTRATO_TIEMPO_DETERMINADO = '03';
    const CONTRATO_TEMPORADA = '04';
    const CONTRATO_PRUEBA = '05';
    const CONTRATO_CAPACITACION_INICIAL = '06';
    const CONTRATO_PAGO_HORA_LABORADA = '07';
    const CONTRATO_COMISION_LABORAL = '08';
    const CONTRATO_SIN_RELACION_TRABAJO = '09';
    const CONTRATO_JUBILACION_PENSION_RETIRO = '10';
    const CONTRATO_OTRO = '99';

    public static $tipoContrato = [
        self::CONTRATO_TIEMPO_INDETERMINADO => 'Contrato de trabajo por tiempo indeterminado',
        self::CONTRATO_OBRA_DETERMINADA => 'Contrato de trabajo para obra determinada',
        self::CONTRATO_TIEMPO_DETERMINADO => 'Contrato de trabajo por tiempo determinado',
        self::CONTRATO_TEMPORADA => 'Contrato de trabajo por temporada',
        self::CONTRATO_PRUEBA => 'Contrato de trabajo sujeto a prueba',
        self::CONTRATO_CAPACITACION_INICIAL => 'Contrato de trabajo con capacitación inicial',
        self::CONTRATO_PAGO_HORA_LABORADA => 'Modalidad de contratación por pago de hora laborada',
        self::CONTRATO_COMISION_LABORAL => 'Modalidad de trabajo por comisión laboral',
        self::CONTRATO_SIN_RELACION_TRABAJO => 'Modalidades de contratación donde no existe relación de trabajo',
        self::CONTRATO_JUBILACION_PENSION_RETIRO => 'Jubilación, pensión, retiro',
        self::CONTRATO_OTRO => 'Otro contrato'
    ];
}
