<?php

namespace Koneko\SatCatalogs\Models;

use Illuminate\Database\Eloquent\Model;

class PatenteAduanal extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'sat_patente_aduanal';


    /**
     * The attributes that are mass assignable.
     *
     * @var string[]
     */
    protected $fillable = [
        'c_patente_aduanal',
        'inicio_de_vigencia_de_la_patente',
        'fin_de_vigencia_de_la_patente',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array
     */
    protected $casts = [
        'inicio_de_vigencia_de_la_patente' => 'datetime',
        'fin_de_vigencia_de_la_patente' => 'datetime',
    ];
}
